#ifndef ___GLOBAL_H___
#define ___GLOBAL_H___

typedef unsigned char uBYTE;
typedef signed char sBYTE;
typedef unsigned short uWORD;
typedef signed short sWORD;
typedef unsigned int uLONG;
typedef signed int sLONG;
typedef int bFLAG;

typedef uBYTE Uint8;
typedef sWORD Sint16;
typedef uLONG Uint32;

extern const Uint32 initconst[5];
extern const Uint8 padding[128];

Uint32 getLongBigEndian(const Uint8* data);
void setLongBigEndian(Uint32 x, Uint8* data);
Uint32 getLongLittleEndian(const Uint8* data);
Uint32 leftrotate(Uint32 x, Uint8 r);

#endif
